---
title: CSSPseudoElement.element
slug: Web/API/CSSPseudoElement/element
tags:
  - API
  - CSSPseudoElement
  - Element
  - Experimental
  - Property
  - Reference
---
<p>{{APIRef}}{{SeeCompatTable}}</p>

<p class="summary">The <strong><code>element</code></strong> read-only property of the {{DOMxRef('CSSPseudoElement')}} interface returns a reference to the originating element of the pseudo-element, in other words its parent element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>originatingElement</em> = <em>cssPseudoElement</em>.element;
</pre>

<h3 id="Value">Value</h3>

<p>An {{DOMxRef('Element')}} representing the pseudo-element's originating element.</p>

<h2 id="Examples">Examples</h2>

<p>The example below demonstrates the relationship between <code>CSSPseudoElement.element</code> and {{DOMxRef('Element.pseudo()')}}:</p>

<pre class="brush: js">const myElement = document.querySelector('q');
const cssPseudoElement = myElement.pseudo('::after');
const originatingElement = cssPseudoElement.element;

console.log(myElement === originatingElement);                  // Outputs true
console.log(myElement.parentElement === originatingElement);    // Outputs false
console.log(myElement.lastElementChild === cssPseudoElement);   // Outputs false
console.log(myElement.lastChild === cssPseudoElement);          // Outputs false
console.log(myElement.nextElementSibling === cssPseudoElement); // Outputs false
console.log(myElement.nextSibling === cssPseudoElement);        // Outputs false
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS4 Pseudo-Elements', '#dom-csspseudoelement-element', 'element')}}</td>
   <td>{{Spec2('CSS4 Pseudo-Elements')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat('api.CSSPseudoElement.element')}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef('Element.pseudo()')}}</li>
</ul>
